libzypp 17.37.10

zypp::json::Parser::Token Struct Reference

`#include <zypp-core/parser/json.h>`

## Public Types
enum | Type { TOK_STRING = 0 , TOK_NUMBER_FLOAT , TOK_NUMBER_UINT , TOK_NUMBER_INT , TOK_BOOL_TRUE , TOK_BOOL_FALSE , TOK_NULL , TOK_LSQUARE_BRACKET , TOK_RSQUARE_BRACKET , TOK_LCURLY_BRACKET , TOK_RCURLY_BRACKET , TOK_COMMA , TOK_COLON , TOK_END , TOK_COUNT }

## Static Public Member Functions
static Token | eof ()

## Public Attributes
Type | _type
std::string | _token

## Detailed Description

Definition at line 43 of file json.h.

## Member Enumeration Documentation

## ◆ Type

enum zypp::json::Parser::Token::Type

Enumerator
TOK_STRING |
TOK_NUMBER_FLOAT |
TOK_NUMBER_UINT |
TOK_NUMBER_INT |
TOK_BOOL_TRUE |
TOK_BOOL_FALSE |
TOK_NULL |
TOK_LSQUARE_BRACKET |
TOK_RSQUARE_BRACKET |
TOK_LCURLY_BRACKET |
TOK_RCURLY_BRACKET |
TOK_COMMA |
TOK_COLON |
TOK_END |
TOK_COUNT |

Definition at line 45 of file json.h.

## Member Function Documentation

## ◆ eof()

Parser::Token zypp::json::Parser::Token::eof | ( |  | ) |
| static

Definition at line 752 of file json.cc.

## Member Data Documentation

## ◆ _type

Type zypp::json::Parser::Token::_type

Definition at line 63 of file json.h.

## ◆ _token

std::string zypp::json::Parser::Token::_token

Definition at line 64 of file json.h.

The documentation for this struct was generated from the following files:

- zypp-core/parser/json.h
- zypp-core/parser/json.cc